Subject: bug#24421: 25.1.50; mouse-yank-primary should be bound to down-mouse-2

From: Stefan Kangas <[email-masked]>
Date: Wed, 9 Oct 2019 17:48:51 +0200

Philipp Stephani <[email-masked]> writes:

> At least in all the Gnome apps I've tried, the primary X selection is
> already inserted on the middle mouse button down event, not the up
> event.  Therefore I'd suggest to change the binding of
> mouse-yank-primary from mouse-2 to down-mouse-2.  This might even
> partially solve the Gnome-Terminal issue described in
> https://debbugs.gnu.org/cgi/bugreport.cgi?bug=24420.

I'm not seeing this in Firefox or calibre; the selection is inserted on
the mouse button up event.  xterm does the same.

What applications did you test?

Best regards,
Stefan Kangas